Bug 205886 - Review Request: perl-File-MMagic-XS - Guess file type with XS
Review Request: perl-File-MMagic-XS - Guess file type with XS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-09 11:48 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 13:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixed spec file (1.89 KB, text/plain)
2006-09-11 11:09 EDT, Tom "spot" Callaway
no flags Details

  None (edit)
Description Tom "spot" Callaway 2006-09-09 11:48:56 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/perl-File-MMagic-XS.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-File-MMagic-XS-0.08-1.src.rpm
Description: This is a port of Apache2 mod_mime_magic.c in Perl, written in XS with the aim of being efficient and fast especially for applications that need to be run for an extended amount of time.

New requirement for perl-Maypole.
Comment 1 Jason Tibbitts 2006-09-09 13:36:09 EDT
rpmlint says:

W: perl-File-MMagic-XS invalid-license Apache
   rpmlint would prefer "Apache Software License".

E: perl-File-MMagic-XS useless-explicit-provides perl(File::MMagic::XS)
   Another rpm screwup; somehow it adds the module twice to the provides list,
both with and without a version.  In the past this has always required a filter.

Returning to the subject of the license, I'm not sure that it's clear that the
entire package is under the Apache license.  The parts that came from Apache are
clear, the public domain parts are indicated as such, but some of it is just
"All rights reserved" (see lib/File/MMagic/XS.pm) which seems problematic.
Comment 2 Tom "spot" Callaway 2006-09-11 11:08:59 EDT
Fixed the rpmlint warning and error.

As to the license, I've emailed the upstream author for clarification, but I
suspect that the few files missing license attribution are indeed Apache, due to
the fact that this code is just a port to perl of existing Apache licensed code.
Comment 3 Tom "spot" Callaway 2006-09-11 11:09:50 EDT
Created attachment 136002 [details]
Fixed spec file
Comment 4 Jason Tibbitts 2006-09-15 14:39:15 EDT
You're the license czar so if you feel comfortable importing this then I have no
objections.

* source files match upstream:
   b8ce9617527a999c85d54fc8a4e88ebc  File-MMagic-XS-0.08.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
? license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   XS.so()(64bit)
   perl(File::MMagic::XS) = 0.08
   perl-File-MMagic-XS = 0.08-2.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(File::MMagic)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=11,  0 wallclock secs ( 0.06 cusr +  0.01 csys =  0.07 CPU)
* no shared libraries are added to the regular linker search paths.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED
Comment 5 Tom "spot" Callaway 2006-09-21 13:40:21 EDT
Built.

Note You need to log in before you can comment on or make changes to this bug.